<?php
$string = $_GET['nilai'];
// Hash pertama menggunakan SHA-1
$firstHash = sha1($string);

// Ubah hasil hash pertama menjadi biner menggunakan hex2bin
$firstHashBinary = hex2bin($firstHash);

// Hash kedua menggunakan SHA-1 pada hasil biner
$secondHash = sha1($firstHashBinary);

// Ubah hasil hash kedua menjadi huruf besar
$secondHashUpper = strtoupper($secondHash);

// Tambahkan '*' di awal hasil hash kedua
$result = '*' . $secondHashUpper;

//return $result;

echo $result;

// $stringEncrypt='*'.strtoupper(SHA1(hex2bin(SHA1($string))));
// return $stringEncrypt;
